Table of Contents

Previous: INVOKING FTNCHEK

## OPTIONS

This section provides a more detailed discussion of ftnchek command-line options. Options and filenames may be interspersed on a command line. Most options are positional: each option remains in effect from the point it is encountered until it is overridden by a later change. Thus for example, the listing may be suppressed for some files and not for others. Exceptions are: the -intrinsic, -pointersize, and -wordsize settings, which cannot be changed once processing of input files has started; the -arguments, -array, -calltree, -common, -crossref, -extern, -reference, -resources, -sort, -vcg, and -volatile options, where the action depends only on the value of the option after the processing of input files is finished; and the -include setting, which is cumulative.

The option names in the following list are in alphabetical order.

Next: CHANGING THE DEFAULTS

-arguments, -array, -brief, -calltree, -check, -columns, -common, -crossref, -declare, -division, -errors, -extern, -f77, -f90, -f95, -help, -identifier-chars, -include, -intrinsic, -library, -list, -makedcls, -mkhtml, -novice, -output, -pointersize, -portability, -pretty, -project, -pure, -quiet, -reference, -resources, -sixchar, -sort, -source, -style, -symtab, -truncation, -usage, -vcg, -version, -volatile, -wordsize, -wrap.